%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define gettext_package control-center-2.0

%define pango_version 1.2.5
%define gtk2_version 2.2.4
%define gconf2_version 2.4.0.1
%define gnome_desktop_version 2.4.0
%define libgnome_version 2.4.0
%define libbonobo_version 2.4.0
%define libgnomeui_version 2.4.0.1
%define libbonoboui_version 2.4.0
%define gnome_vfs2_version 2.4.0
%define bonobo_activation_version @bonobo-activation_version@

Summary: 	GNOME Control Center.
Name:		control-center
Version: 	2.4.0
Release: 	1
License: 	GPL/LGPL
Group: 		User Interface/Desktops
Source: 	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/control-center-%{version}.tar.bz2

Patch0:		control-center-2.4.0-aix.patch
Patch1:		control-center-2.4.0-autotools.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		http://www.gnome.org

Requires: xscreensaver

BuildRequires: esound
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}

%description
GNOME (the GNU Network Object Model Environment) is an attractive and
easy-to-use GUI desktop environment. The control-center package
provides the GNOME Control Center utilities that allow you to setup
and configure your system's GNOME environment (things like the desktop
background and theme, the screensaver, the window manager, system
sounds, and mouse behavior).

If you install GNOME, you need to install control-center.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/control-center-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/control-center-2.4.0-autotools.patch


%build
LDFLAGS=-L%{_libdir} PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
G_CHARSET_ALIAS=%{_libdir}/charset.alias make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
	make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%post
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
SCHEMAS="apps_gnome_settings_daemon_screensaver.schemas apps_gnome_settings_daemon_default_editor.schemas \
	 desktop_gnome_font_rendering.schemas"
for S in $SCHEMAS; do
  %{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files 
%defattr(-, root, system)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_bindir}/*
%{_libdir}/bonobo
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/window-manager-settings/
%{_libdir}/pkgconfig/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/control-center-2.0
%{_datadir}/pixmaps
%{_datadir}/gnome
%{_datadir}/applications
%{_datadir}/gnome-2.0
%{_datadir}/idl
%{_datadir}/locale/*/LC_MESSAGES/control-center-2.0.mo
%{_includedir}/*

# deliberately leaving out pkgconfig files and devel libs for libgnome-window-settings
# (also its headers)

/usr/bin/*
/usr/lib/lib*.a
/usr/include/*
